import os, configparser

class ReadBasicIni:
    def __init__(self):
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
        ini_path = os.path.join(self.data_config_path, "basic_config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path, encoding="utf-8")

    def get_url(self, key):
        try:
            return self.conf.get("host", key)
        except Exception as e:
            raise e

    def sql_connect_msg(self, key):
        try:
            return self.conf.get("sql", key)
        except Exception as e:
            raise e

    def get_log_dir(self, key):
        try:
            dir_name = self.conf.get("report", key)
        except Exception as e:
            raise e
        else:
            report_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "report")
            return os.path.join(report_path, dir_name)