import configparser
import os

class ReadIni:
    def __init__(self):
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
        ini_path = os.path.join(self.data_config_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path,  encoding="utf-8")

    def get_file_path(self, key):
        try:
            file_name = self.conf.get("file", key)
        except Exception as e:
            print("获取文件的名称时，传入的key错误，错误为：", e)
            raise e
        else:
            return os.path.join(self.data_config_path, file_name)

    def get_url(self, key):
        try:
            return self.conf.get("host", key)
        except Exception as e:
            print("获取被测系统的域名时，传入的key错误，错误为：", e)
            raise e

    def get_table_name(self, key):
        try:
            return self.conf.get("table_name", key)
        except Exception as e:
            print("获取工作表名称时，传入的key错误，错误为：", e)
            raise e

    def connect_database_msg(self, key):
        try:
            return self.conf.get("sql", key)
        except Exception as e:
            print("获取数据库链接的配置信息时发生错误，错误为：", e)
            raise e

if __name__ == '__main__':
    ini = ReadIni()
    print(ini.get_file_path('excel'))